#ifndef IZ_APP_H
#define IZ_APP_H

#include <SDL.h>
#include "config/IZ_config.h"
#include "timer/IZ_timer.h"
#include "logging/IZ_log.h"

typedef struct {
	IZ_Config config;
} IZ_App;

typedef enum {
	IZ_APP_RESULT_OK,

	IZ_APP_RESULT_FRAMEWORK_ERROR,

	IZ_APP_RESULT_CONFIG_ERROR,
} IZ_AppResult;

IZ_AppResult IZ_AppRun(
	IZ_App*,
	int,
	char**,
	const char*,
	unsigned int,
	unsigned int,
	unsigned int
);

#endif
