#ifndef SDL_IZ_KEYBOARD_H
#define SDL_IZ_KEYBOARD_H

#include <SDL_scancode.h>

/**
 * Keyboard scancode.
 */
typedef SDL_Scancode IZ_KeyboardScancode;

typedef enum {
	IZ_SCANCODE_D         = SDL_SCANCODE_D,
	IZ_SCANCODE_S         = SDL_SCANCODE_S,
	IZ_SCANCODE_A         = SDL_SCANCODE_A,
	IZ_SCANCODE_W         = SDL_SCANCODE_W,
	IZ_SCANCODE_RETURN    = SDL_SCANCODE_RETURN,
	IZ_SCANCODE_BACKSPACE = SDL_SCANCODE_BACKSPACE,
	IZ_SCANCODE_M         = SDL_SCANCODE_M,
	IZ_SCANCODE_COMMA     = SDL_SCANCODE_COMMA,
	IZ_SCANCODE_PERIOD    = SDL_SCANCODE_PERIOD,
	IZ_SCANCODE_SLASH     = SDL_SCANCODE_SLASH,
	IZ_SCANCODE_J         = SDL_SCANCODE_J,
	IZ_SCANCODE_K         = SDL_SCANCODE_K,
	IZ_SCANCODE_L         = SDL_SCANCODE_L,
	IZ_SCANCODE_SEMICOLON = SDL_SCANCODE_SEMICOLON,
	IZ_SCANCODE_I         = SDL_SCANCODE_I,
	IZ_SCANCODE_O         = SDL_SCANCODE_O,
} IZ_Scancode;

typedef enum {
	IZ_JOYSTICK_CODE_0 = 11,
	IZ_JOYSTICK_CODE_1 = 10,
	IZ_JOYSTICK_CODE_2 = 1,
	IZ_JOYSTICK_CODE_3 = 0,
	IZ_JOYSTICK_CODE_4 = 4,
	IZ_JOYSTICK_CODE_5 = 3,
	IZ_JOYSTICK_CODE_6 = 6,
	IZ_JOYSTICK_CODE_7 = 7,
	IZ_JOYSTICK_CODE_8 = 8,
	IZ_JOYSTICK_CODE_9 = 9,
	IZ_JOYSTICK_CODE_10 = 13,
	IZ_JOYSTICK_CODE_11 = 14,
} IZ_JoystickCode;

#endif
